List Voices
curl --request GET \
--url https://platform.perso.ai/api/speech/v2/voices \
--header 'PersoPlatform-APIKey: <api-key>' \
--header 'xi-api-key: <api-key>'import requests
url = "https://platform.perso.ai/api/speech/v2/voices"
headers = {
"PersoPlatform-APIKey": "<api-key>",
"xi-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'PersoPlatform-APIKey': '<api-key>', 'xi-api-key': '<api-key>'}
};
fetch('https://platform.perso.ai/api/speech/v2/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.perso.ai/api/speech/v2/voices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"PersoPlatform-APIKey: <api-key>",
"xi-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.perso.ai/api/speech/v2/voices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("PersoPlatform-APIKey", "<api-key>")
req.Header.Add("xi-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.perso.ai/api/speech/v2/voices")
.header("PersoPlatform-APIKey", "<api-key>")
.header("xi-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.perso.ai/api/speech/v2/voices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["PersoPlatform-APIKey"] = '<api-key>'
request["xi-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"voices": [
{
"voice_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}
],
"has_more": true,
"next_page_token": "<string>",
"total_count": 123
}
]Speech
List Voices
List and search voices with pagination.
Query Parameters
| Parameter | Default | Description |
|---|---|---|
page_size | 30 | Number of voices per page (max 100) |
next_page_token | - | Token for fetching next page |
search | - | Search voices by name |
sort | created_at | Sort field: created_at or name |
sort_direction | desc | Sort order: asc or desc |
include_total_count | true | Include total count in response |
voice_ids | - | Filter by comma-separated voice IDs |
GET
/
api
/
speech
/
v2
/
voices
List Voices
curl --request GET \
--url https://platform.perso.ai/api/speech/v2/voices \
--header 'PersoPlatform-APIKey: <api-key>' \
--header 'xi-api-key: <api-key>'import requests
url = "https://platform.perso.ai/api/speech/v2/voices"
headers = {
"PersoPlatform-APIKey": "<api-key>",
"xi-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'PersoPlatform-APIKey': '<api-key>', 'xi-api-key': '<api-key>'}
};
fetch('https://platform.perso.ai/api/speech/v2/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.perso.ai/api/speech/v2/voices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"PersoPlatform-APIKey: <api-key>",
"xi-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.perso.ai/api/speech/v2/voices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("PersoPlatform-APIKey", "<api-key>")
req.Header.Add("xi-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.perso.ai/api/speech/v2/voices")
.header("PersoPlatform-APIKey", "<api-key>")
.header("xi-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.perso.ai/api/speech/v2/voices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["PersoPlatform-APIKey"] = '<api-key>'
request["xi-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"voices": [
{
"voice_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}
],
"has_more": true,
"next_page_token": "<string>",
"total_count": 123
}
]Authorizations
Use this header if you want to call the API with an ElevenLabs-compatible SDK. Pass your Perso API key as the xi-api-key header value.
Query Parameters
Include total count in response.
Token for pagination.
Number of voices per page (max 100).
Search voices by name.
Sort field (created_at or name).
Available options:
created_at, name Sort direction.
Available options:
asc, desc Comma-separated list of voice IDs to filter.

